Get a run
curl --request GET \
--url https://api.aireserve.com/v1/training/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/training/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/training/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"datasetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseModel": "<string>",
"method": "lora",
"serving": "serverless",
"hyperparameters": {
"epochs": 3,
"learningRate": 0.0001,
"batchSize": 16,
"maxSeqLen": 4096,
"loraRank": 64
},
"maxCostUsd": "<string>",
"state": "pending",
"backend": "<string>",
"estimatedCostUsd": "<string>",
"estimatedMinutes": 123,
"actualCostUsd": "<string>",
"trainedTokens": 123,
"chargeState": "none",
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Fine-tuning
Get a run
State, cost and the model id once succeeded. Requires compute read access.
GET
/
v1
/
training
/
jobs
/
{jobId}
Get a run
curl --request GET \
--url https://api.aireserve.com/v1/training/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/training/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/training/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"datasetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseModel": "<string>",
"method": "lora",
"serving": "serverless",
"hyperparameters": {
"epochs": 3,
"learningRate": 0.0001,
"batchSize": 16,
"maxSeqLen": 4096,
"loraRank": 64
},
"maxCostUsd": "<string>",
"state": "pending",
"backend": "<string>",
"estimatedCostUsd": "<string>",
"estimatedMinutes": 123,
"actualCostUsd": "<string>",
"trainedTokens": 123,
"chargeState": "none",
"modelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"createdAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
OK
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
lora, full Available options:
serverless, dedicated, download Show child attributes
Show child attributes
Available options:
pending, submitting, queued, running, succeeded, failed, cancelling, cancelled Where the run executed, once started. A fact about the run, never an input.
Available options:
none, pending, settled, released, failed Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$